Skip to content
Guides
API reference
stablenotification:read

List template groups

GET/v1/notifications/templates/groups

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Query Parameters

scope?string

Value in

  • "system"
  • "store"
channel?string

Value in

  • "email"
  • "sms"
  • "push"
  • "whatsApp"
  • "inApp"
  • "webhook"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/notifications/templates/groups"
{  "data": [    {      "id": "string",      "tenantId": "string",      "storeId": null,      "key": "string",      "group": "string",      "name": "string",      "notification": "email",      "locale": null,      "version": 0,      "subjectTpl": null,      "exampleData": null,      "bodyTpl": "string",      "textTpl": null,      "status": "draft"    }  ],  "hasNextPage": true,  "nextCursor": null,  "totalCount": null}